Supported Browsers

Apart from supported browsers, do also ensure that your Content Decryption Module (CDM) version is updated in order to play content on Viki. 

Google Chrome

  • Version 88.0.4324.93 or later on Windows 7 or later and Mac OS X El Capitan 10.11 or later, Linux Ubuntu 14.04 or later 
    • To check the CDM version, enter chrome://components/ in the address bar -> press "Enter" -> locate "Widevine Content Decryption Module" -> "Check for update". If the status is "Up-to-date", you're on the latest version.

Microsoft Edge 

  • Version 88.0.705 (Blink 88) or later on Windows 7 or later and Mac OS X 10.12 (Sierra) or later
    • To check the CDM version, enter edge://components in the address bar -> press "Enter" -> locate "Widevine Content Decryption Module" -> "Check for update". If the status is "Up-to-date", you're on the latest version.

Mozilla Firefox

  • Version 88.0 or later on Windows 7 or later and Mac OS X 10.12 (Sierra) or later
    • Supported on stable, official release builds from Mozilla. Non-Mozilla builds are not supported.
    • To check the CDM version, click on "Open Application Menu" on the top right corner -> "Add-ons and Themes" -> "Plugins" tab will open by default -> Click "Tools for all add-ons" -> "Check for updates".

Safari 

  • Version 12 or later on Mac OS X 10.12 (Sierra) or later 
    • Supported on all 2012 or later models and select 2011 models
    • CDM is not currently not supported on Safari.

Opera 

  • Version 74 on Windows 7 or later and Mac OS X El Capitan 10.11 or later, Linux 64-bit Ubuntu 16.04 or later.

 

Was this article helpful?
908 out of 2072 found this helpful

Comments

0 comments

Article is closed for comments.